﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plane.FormationCreator.Formation
{
    public partial class FlightTask
    {
        public async Task RunSimpleCircleTaskAsync()
        {
            var center = SingleCopterInfos.Select(info => info.Copter).GetCenter().Value;

            // 林俊清, 20150921, 自动计算圆心方向和半径，然后直接调用普通画圈的方法。
            foreach (var info in SingleCopterInfos)
            {
                info.CenterDirectionDeg = (short)info.Copter.InPlaneDirectionToDeg(center.Lat, center.Lng);
                info.Radius = (int)(info.Copter.InPlaneDistanceTo(center.Lat, center.Lng) * 100);
            }
            await RunCircleTaskAsync().ConfigureAwait(false);
        }
    }
}
